#include <signal.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/wait.h>

static volatile int pid;
static volatile int hupped;
static void Rehash(int p)
{
	p = p;
	if(pid > 0)
	{
		kill(pid, SIGTERM);	
		hupped = 1;
	}
}

int main(void)
{
	signal(SIGHUP, Rehash);
	fprintf(stderr, "S");
	for(;;)
	{
		hupped = 0;
    	fprintf(stderr, "%s",
    		"tarting bisqradio-"VERSION"\n"
    		"No warranty. GPL. Read COPYING.\n"
    	);
    	fflush(stderr);
    	
    	pid = fork();
    	if(!pid)
    	{
    		chdir(BINDIR);
    		_exit(execl("./radio_tcp", "radio_tcp", NULL));
    	}
    	wait(NULL);
    	if(!hupped)return 0;
    	fprintf(stderr, "Res"); /* Res-tarting */
	}
}
